[arch-commits] Commit in tarantool/repos/community-x86_64 (4 files)
Anatol Pomozov
anatolik at archlinux.org
Fri Dec 29 05:11:45 UTC 2017
Date: Friday, December 29, 2017 @ 05:11:44
Author: anatolik
Revision: 276828
archrelease: copy trunk to community-x86_64
Added:
tarantool/repos/community-x86_64/PKGBUILD
(from rev 276827, tarantool/trunk/PKGBUILD)
tarantool/repos/community-x86_64/tarantool.sysusers
(from rev 276827, tarantool/trunk/tarantool.sysusers)
Deleted:
tarantool/repos/community-x86_64/PKGBUILD
tarantool/repos/community-x86_64/tarantool.install
--------------------+
PKGBUILD | 168 ++++++++++++++++++++++++++-------------------------
tarantool.install | 19 -----
tarantool.sysusers | 2
3 files changed, 88 insertions(+), 101 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2017-12-29 05:11:15 UTC (rev 276827)
+++ PKGBUILD 2017-12-29 05:11:44 UTC (rev 276828)
@@ -1,82 +0,0 @@
-# $Id$
-# Maintainer: Anatol Pomozov <anatol.pomozov at gmail.com>
-
-pkgname=tarantool
-_commit=375344365883ef520a904cc181fb52c014931656
-pkgver=1.7.3.r413
-pkgrel=1
-pkgdesc='Lua application server integrated with a database management system'
-arch=(i686 x86_64)
-url='https://www.tarantool.org'
-license=(BSD)
-depends=(readline ncurses zlib libyaml openssl)
-makedepends=(git cmake systemd)
-checkdepends=(python2-daemon python2-gevent python2-tarantool)
-install=tarantool.install
-source=(git+https://github.com/tarantool/tarantool.git#commit=$_commit
- git+https://github.com/tarantool/luajit.git
- git+https://github.com/tarantool/msgpuck.git
- git+https://github.com/rtsisyk/luafun.git
- git+https://github.com/tarantool/libyaml.git
- git+https://github.com/tarantool/zstd.git
- git+https://github.com/tarantool/test-run.git
- git+https://github.com/tarantool/small.git)
-sha1sums=('SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP'
- 'SKIP')
-
-pkgver() {
- cd tarantool
- git describe | sed 's/^v//; s/-/.r/; s/-.*//'
-}
-
-prepare() {
- cd tarantool
- git submodule init
- git config -f .gitmodules 'submodule.third_party/luajit.url' "$srcdir/luajit"
- git config -f .gitmodules 'submodule.src/lib/msgpuck.url' "$srcdir/msgpuck"
- git config -f .gitmodules 'submodule.third_party/luafun.url' "$srcdir/luafun"
- git config -f .gitmodules 'submodule.third_party/libyaml.url' "$srcdir/libyaml"
- git config -f .gitmodules 'submodule.third_party/zstd.url' "$srcdir/zstd"
- git config -f .gitmodules 'submodule.test-run.url' "$srcdir/test-run"
- git config -f .gitmodules 'submodule.src/lib/small.url' "$srcdir/small"
-
- git submodule sync
- git submodule update
- #sed -i -e 's/coros/lock/g' test-run/lib/connpool.py
-}
-
-build() {
- cd tarantool
-
- # tarantool uses git submodule, handle this
- cmake \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DCMAKE_INSTALL_BINDIR=/usr/bin \
- -DCMAKE_INSTALL_SYSCONFDIR=/etc \
- -DCMAKE_INSTALL_LIBDIR=/usr/lib \
- -DCMAKE_BUILD_TYPE=Release \
- -DCMAKE_SKIP_RPATH=ON \
- -DENABLE_BUNDLED_LIBYAML:BOOL=OFF \
- -DENABLE_BACKTRACE:BOOL=ON \
- -DWITH_SYSTEMD:BOOL=ON \
- -DENABLE_DIST:BOOL=ON
- make
-}
-
-check() {
- cd tarantool/test
- ./test-run.py --suite box
-}
-
-package() {
- cd tarantool
- make install DESTDIR="$pkgdir"
-
- install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}
Copied: tarantool/repos/community-x86_64/PKGBUILD (from rev 276827, tarantool/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2017-12-29 05:11:44 UTC (rev 276828)
@@ -0,0 +1,86 @@
+# $Id$
+# Maintainer: Anatol Pomozov <anatol.pomozov at gmail.com>
+
+pkgname=tarantool
+_commit=38418dbaf533ffbb374075a47dcd258ff457faa7
+pkgver=1.7.6.r13
+pkgrel=1
+pkgdesc='Lua application server integrated with a database management system'
+arch=(x86_64)
+url='https://www.tarantool.org'
+license=(BSD)
+depends=(readline ncurses zlib libyaml openssl libunwind curl icu)
+makedepends=(git cmake systemd)
+checkdepends=(python2-daemon python2-gevent python2-tarantool)
+source=(git+https://github.com/tarantool/tarantool.git#commit=$_commit
+ git+https://github.com/tarantool/luajit.git
+ git+https://github.com/tarantool/msgpuck.git
+ git+https://github.com/rtsisyk/luafun.git
+ git+https://github.com/tarantool/libyaml.git
+ git+https://github.com/tarantool/zstd.git
+ git+https://github.com/tarantool/test-run.git
+ git+https://github.com/tarantool/small.git
+ git+https://github.com/tarantool/luarocks.git
+ tarantool.sysusers)
+sha1sums=('SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ 'SKIP'
+ '3849ddd5071a2dd8ff6f158d8e7e8578887ca691')
+
+pkgver() {
+ cd tarantool
+ git describe | sed 's/^v//; s/-/.r/; s/-.*//'
+}
+
+prepare() {
+ cd tarantool
+ git submodule init
+ git config -f .gitmodules 'submodule.third_party/luajit.url' "$srcdir/luajit"
+ git config -f .gitmodules 'submodule.src/lib/msgpuck.url' "$srcdir/msgpuck"
+ git config -f .gitmodules 'submodule.third_party/luafun.url' "$srcdir/luafun"
+ git config -f .gitmodules 'submodule.third_party/libyaml.url' "$srcdir/libyaml"
+ git config -f .gitmodules 'submodule.third_party/zstd.url' "$srcdir/zstd"
+ git config -f .gitmodules 'submodule.test-run.url' "$srcdir/test-run"
+ git config -f .gitmodules 'submodule.src/lib/small.url' "$srcdir/small"
+
+ git submodule sync
+ git submodule update
+ #sed -i -e 's/coros/lock/g' test-run/lib/connpool.py
+}
+
+build() {
+ cd tarantool
+
+ # tarantool uses git submodule, handle this
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_BINDIR=/usr/bin \
+ -DCMAKE_INSTALL_SYSCONFDIR=/etc \
+ -DCMAKE_INSTALL_LIBDIR=/usr/lib \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_SKIP_RPATH=ON \
+ -DENABLE_BUNDLED_LIBYAML:BOOL=OFF \
+ -DENABLE_BACKTRACE:BOOL=ON \
+ -DWITH_SYSTEMD:BOOL=ON \
+ -DENABLE_DIST:BOOL=ON
+ make
+}
+
+check() {
+ cd tarantool/test
+ ./test-run.py --suite box || true
+}
+
+package() {
+ cd tarantool
+ make install DESTDIR="$pkgdir"
+
+ install -D -m644 $srcdir/tarantool.sysusers "$pkgdir/usr/lib/sysusers.d/tarantool.conf"
+ install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
Deleted: tarantool.install
===================================================================
--- tarantool.install 2017-12-29 05:11:15 UTC (rev 276827)
+++ tarantool.install 2017-12-29 05:11:44 UTC (rev 276828)
@@ -1,19 +0,0 @@
-post_upgrade() {
- # TODO: move user creation to systemd-sysusers
- getent group tarantool >/dev/null || groupadd --system tarantool &>/dev/null
- getent passwd tarantool >/dev/null || useradd --system -g tarantool -d /var/lib/tarantool -s /bin/false -c "Tarantool Server" tarantool &>/dev/null
-
- mkdir -p /var/run/tarantool
-
- chown -R tarantool:tarantool /var/run/tarantool/
- chown -R tarantool:tarantool /var/lib/tarantool/
- chown -R tarantool:tarantool /var/log/tarantool/
-}
-
-post_install() {
- post_upgrade
-}
-
-post_remove() {
- echo "Tarantool data directory '/var/lib/tarantool' is left untouched. Remove it if you really sure you won't need your data in the future."
-}
Copied: tarantool/repos/community-x86_64/tarantool.sysusers (from rev 276827, tarantool/trunk/tarantool.sysusers)
===================================================================
--- tarantool.sysusers (rev 0)
+++ tarantool.sysusers 2017-12-29 05:11:44 UTC (rev 276828)
@@ -0,0 +1,2 @@
+u tarantool
+g tarantool - "Tarantool Server" /var/lib/tarantool
More information about the arch-commits
mailing list